var ScramblerSolution = {
    init: function() {

        // "SHOW TOPLIST" BUTTON CLICK
        $(Puzzle.defaults.showToplistButton).click(function() {

            if (!puzzleId || puzzleId.length == 0) {
                alert("This feature cannot be used in preview mode");
                return;
            }

            var isCountdown = dictionary != null;
            if(isCountdown)
            {
                showTopScorelist(puzzleId, true);
            }
            else
            {
                showToplist(puzzleId);
            }

        });

    }
};